콘텐츠로 건너뛰기

Cartoonify

통합

모델 id cartoonify
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cartoonify?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.10 100 API 크레딧 이 페이지에서 실행

API 키 받기
Utility 이미지 편집 #stylized#transform

구도를 유지하면서 사진을 3D 만화 아트워크로 스타일 변환

Utility · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 image_url
파일을 끌어다 놓거나

만화 스타일을 적용할 이미지 URL입니다.

고급 scale · guidance_scale · num_inference_steps · seed · enable_safety_checker · use_cfg_zero
기본값 1

만화 효과에 적용할 배율입니다.

기본값 3.5

생성 중 사용하는 안내 스케일입니다.

기본값 28

수행할 추론 단계 수입니다.

이미지 생성 시드입니다. 시드 값과 다른 모든 매개변수가 동일하면 동일한 결과를 보장합니다.

POST /run/cartoonify?wait=20 견적 → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cartoonify?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Cartoonify 정보

이미지에 만화 스타일을 적용하면서 원본의 레이아웃과 세부 정보를 유지합니다. `scale`은 효과의 강도를 0.1~2로 설정합니다. `guidance_scale`, `num_inference_steps`(1~50), `use_cfg_zero`와 반복 가능한 결과를 위한 seed도 제공합니다. 텍스트 프롬프트는 필요하지 않습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
만화 스타일을 적용할 이미지 URL입니다.
scale선택 사항
유형number
기본값1
0.1 – 2
만화 효과에 적용할 배율입니다.
guidance_scale선택 사항
유형number
기본값3.5
0 – 20
생성 중 사용하는 안내 스케일입니다.
num_inference_steps선택 사항
유형integer
기본값28
1 – 50
수행할 추론 단계 수입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사기 활성화 여부를 제어합니다.
use_cfg_zero선택 사항
유형boolean
기본값false
CFG zero 사용 여부를 제어합니다.
seed선택 사항
유형integer | null
이미지 생성 시드입니다. 시드 값과 다른 모든 매개변수가 동일하면 동일한 결과를 보장합니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cartoonify",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, width, height, content_type}생성된 이미지의 파일 정보입니다.
timings
object
seed
integer이미지 생성 시드입니다. 입력에서 시드를 생략하면 무작위로 선택된 값이 포함되고, 그렇지 않으면 제공한 값이 반복됩니다.
has_nsfw_concepts
array of boolean생성된 이미지에 NSFW 개념이 나타나는지 나타냅니다.
prompt
string이미지 생성에 사용되는 프롬프트입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/cartoonify.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt